Reference documentation and code samples for the Storage Transfer Service V1 API class Google::Cloud::StorageTransfer::V1::ListAgentPoolsRequest.
The request passed to ListAgentPools.
Inherits
- Object
Extended By
- Google::Protobuf::MessageExts::ClassMethods
Includes
- Google::Protobuf::MessageExts
Methods
#filter
def filter() -> ::String-
(::String) — An optional list of query parameters specified as JSON text in the
form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}Since
agentPoolNamessupport multiple values, its values must be specified with array notation. When the filter is either empty or not provided, the list returns all agent pools for the project.
#filter=
def filter=(value) -> ::String-
value (::String) — An optional list of query parameters specified as JSON text in the
form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}Since
agentPoolNamessupport multiple values, its values must be specified with array notation. When the filter is either empty or not provided, the list returns all agent pools for the project.
-
(::String) — An optional list of query parameters specified as JSON text in the
form of:
{"agentPoolNames":["agentpool1","agentpool2",...]}Since
agentPoolNamessupport multiple values, its values must be specified with array notation. When the filter is either empty or not provided, the list returns all agent pools for the project.
#page_size
def page_size() -> ::Integer-
(::Integer) — The list page size. The max allowed value is
256.
#page_size=
def page_size=(value) -> ::Integer-
value (::Integer) — The list page size. The max allowed value is
256.
-
(::Integer) — The list page size. The max allowed value is
256.
#page_token
def page_token() -> ::String- (::String) — The list page token.
#page_token=
def page_token=(value) -> ::String- value (::String) — The list page token.
- (::String) — The list page token.
#project_id
def project_id() -> ::String- (::String) — Required. The ID of the Google Cloud project that owns the job.
#project_id=
def project_id=(value) -> ::String- value (::String) — Required. The ID of the Google Cloud project that owns the job.
- (::String) — Required. The ID of the Google Cloud project that owns the job.